=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-dask <!nocheck>,
 python3-docopt,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-rich <!nocheck>,
 python3-setuptools,
 python3-tk <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://tqdm.github.io
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm

Package: python3-tqdm
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.
