## tqdm 4.66.4

=== debian/changelog ===
tqdm (4.66.4-2) sid; urgency=medium

  * Uploading to sid.
  * Rebuilding without changes with python3.12 to get regenerated metadata
    (Closes: #1077191).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:32:08 +0200

tqdm (4.66.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.66.4:
    - any optional non-boolean CLI arguments are passed through python's eval,
      allowing arbitrary code execution [CVE-2024-34062] (Closes: #1070372).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 May 2024 18:02:53 +0200

tqdm (4.66.2-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards-version 4.7.0.
  * Adding python3-setuptools-scm to build-depends so tqdm outputs its
    version properly, thanks to Michael R. Crusoe <crusoe@debian.org>
    (Closes: #1069896).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 04:54:43 +0200
