## tqdm 4.66.5

=== debian/changelog ===
tqdm (4.66.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.66.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Aug 2024 10:28:23 +0200
