=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
  python3-pytest-timeout <!nocheck>,
  python3-rich <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-tk <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://tqdm.github.io
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
