=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath and not test_keras'

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_compress:
	dh_compress -X.py
