## tqdm 4.67.0

=== debian/changelog ===
tqdm (4.67.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.67.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 09:16:17 +0100
