=== debian/changelog ===
tqdm (4.67.1-6) sid; urgency=medium

  * Adding patch from Rebecca N. Palmer <rebecca_palmer@zoho.com> to
    ignore warnings in test with pandas 2.3 to fix FTBFS (Closes:
    #1114885).

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2025 14:48:34 +0200

tqdm (4.67.1-5) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:58:04 +0200

tqdm (4.67.1-4) sid; urgency=medium

  * Installing tqdm bash-completion.
  * Removing spurious copy of debian package files into python3-tqdm by
    dh_python3.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 16:49:10 +0200

tqdm (4.67.1-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 21:05:32 +0100

tqdm (4.67.1-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating email address.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 19:28:09 +0100

tqdm (4.67.1-1) sid; urgency=medium

  * Merging upstream version 4.67.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 25 Nov 2024 08:20:39 +0100
