=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tqdm
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
@@ -17,10 +17,10 @@
  python3-setuptools-scm,
  python3-tk <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://tqdm.github.io
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/tqdm
+Vcs-Browser: https://forgejo.debian.net/python/tqdm
+Vcs-Git: https://forgejo.debian.net/python/tqdm
 
 Package: python3-tqdm
 Architecture: all
