=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,14 @@
 %:
 	dh ${@} --buildsystem=pybuild --with python3
 
+execute_after_dh_auto_install:
+	# bash-completion
+	mkdir -p debian/python3-tqdm/usr/share/bash-completion/completions
+	cp tqdm/completion.sh debian/python3-tqdm/usr/share/bash-completion/completions/tqdm
+
+execute_after_dh_python3:
+	# removing unused files
+	rm -rf debian/python3-tqdm/usr/lib/python3/dist-packages/debian
+
 override_dh_compress:
 	dh_compress -X.py
