=== debian/watch ===
version=4
https://github.com/tqdm/tqdm/tags .*/v?(\d.*)@ARCHIVE_EXT@
