## tqdm 4.67.2

=== debian/changelog ===
tqdm (4.67.2-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 4.67.2.
  * Updating years in copyright for 2026.
  * Removing pandas.patch, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Feb 2026 05:45:23 +0100

tqdm (4.67.1-7) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Marking python3-tqdm multi-arch foreign.
  * Adding section in for binary packages.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 19:29:49 +0100
