=== debian/control ===
--- 
+++ 
@@ -16,14 +16,15 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-tk <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://tqdm.github.io
 Vcs-Browser: https://forgejo.debian.net/python/tqdm
 Vcs-Git: https://forgejo.debian.net/python/tqdm
 
 Package: python3-tqdm
+Section: python
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
