## tqdm 4.67.3

=== debian/changelog ===
tqdm (4.67.3-1) sid; urgency=medium

  * Merging upstream version 4.67.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 04:23:07 +0100

tqdm (4.67.2-2) sid; urgency=medium

  * Updating homepage field.
  * Updating clean in rules to fix FTBFS twice in a row (Closes:
    #1045657).

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Feb 2026 19:46:28 +0100
