=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools-scm,
  python3-tk <!nocheck>,
 Standards-Version: 4.7.3
-Homepage: https://tqdm.github.io
+Homepage: https://github.com/tqdm/tqdm
 Vcs-Browser: https://forgejo.debian.net/python/tqdm
 Vcs-Git: https://forgejo.debian.net/python/tqdm
