=== debian/watch ===
Version: 5

Template: Github
Owner: tqdm
Project: @PACKAGE@
